complexType "CoalProduct"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (type? | coalProductSpecifications?), source*, (btuQualityAdjustment?, so2QualityAdjustment?)?
</...>

Content Model Elements (5):

  btuQualityAdjustment, coalProductSpecifications, so2QualityAdjustment, | source, type (in coal)

All Direct / Indirect Based Elements (1):

  coal

Known Usage Locations

- As direct type of elements (1):
  coal

Annotation
A type defining the characteristics of the coal being traded in a physically settled gas transaction.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CoalProduct"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="type" type="CoalProductType"/> <xsd:element minOccurs="0" name="coalProductSpecifications" type="CoalProductSpecifications"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="source" type="CoalProductSource"/> <xsd:group minOccurs="0" ref="CommodityUSCoalProduct.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/5)
coalProductSpecifications

  Type: | CoalProductSpecifications, complex content

  The type of coal product to be delivered specified in full.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="coalProductSpecifications" type="CoalProductSpecifications"/>

source

  Type: | CoalProductSource, simple content

  The mining region, mine(s), mining complex(es), loadout(s) or river dock(s) or other point(s) of origin that Seller and Buyer agree are acceptable origins for the Coal Product. For International Coal transactions, this is the Origin of the Coal Product.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="source" type="CoalProductSource"/>

type

  Type: | CoalProductType, simple content

  The type of coal product to be delivered by reference to a pre-defined specification.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="CoalProductType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.